# Get SMS app by ID

Retrieves a single SMS app by its ID within a project.

Endpoint: GET /v1/projects/{projectId}/sms/smsApps/{smsAppId}
Version: 1.2.100
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `smsAppId` (string, required)
    Sms App id.

## Response 200 fields (application/json):

  - `id` (string, required)
    SMS App id.

  - `smsServiceId` (string, required)
    Id of the SMS Service which the SMS App belongs to.

  - `name` (string, required)
    Name of SMS App.

  - `status` (string, required)
    Status of SMS App.
    Enum: "ACTIVE", "BLOCKED", "DELETED", "DEPROVISIONING", "DEPROVISIONING_FAILED", "FAILED_ADD", "FAILED_BLOCK", "FAILED_DELETE", "FAILED_UNBLOCK", "FAILED_UPDATE", "IN_PROGRESS_ADD", "IN_PROGRESS_BLOCK", "IN_PROGRESS_DELETE", "IN_PROGRESS_UNBLOCK", "IN_PROGRESS_UPDATE", "PENDING_ADD", "PENDING_BLOCK", "PENDING_DELETE", "PENDING_UNBLOCK", "PENDING_UPDATE", "PROVISIONING", "PROVISIONING_ADD", "PROVISIONING_ADD_FAILED", "PROVISIONING_BLOCK", "PROVISIONING_BLOCK_FAILED", "PROVISIONING_FAILED", "PROVISIONING_UNBLOCK", "PROVISIONING_UNBLOCK_FAILED", "PROVISIONING_UPDATE", "PROVISIONING_UPDATE_FAILED", "STATUS_UNSPECIFIED", "UNRECOGNIZED"

  - `regions` (array, required)
    List of regions of the app.
    Enum: "AU", "BR", "CA", "EU", "US", "UNRECOGNIZED"

  - `test` (boolean, required)
    True if the app is a test app.

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

## Response 401 fields (application/json):

  - `body` (UnauthorizedErrorErrorTitle (object)) — one of:
    - UnauthorizedErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
      - `message` (string)
        Human readable message.
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
    - UnauthorizedErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
      - `message` (string)
        Human readable message.
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "sms_app_not_found"

  - `message` (string)
    Human readable message.
    Example: "SmsApp not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the appId is correct."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


